
From: Tejun Heo <htejun@gmail.com>

In update_atime(), timespec_equal() test is done twice in succession and
the second is always false.  This patch removes the second test.

Signed-off-by: Tejun Heo <htejun@gmail.com>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 fs/inode.c |    3 ---
 1 files changed, 3 deletions(-)

diff -puN fs/inode.c~fs-remove-redundant-timespec_equal-test-in-update_atime fs/inode.c
--- devel/fs/inode.c~fs-remove-redundant-timespec_equal-test-in-update_atime	2005-08-20 17:51:24.000000000 -0700
+++ devel-akpm/fs/inode.c	2005-08-20 17:51:24.000000000 -0700
@@ -1197,9 +1197,6 @@ void update_atime(struct inode *inode)
 	if (!timespec_equal(&inode->i_atime, &now)) {
 		inode->i_atime = now;
 		mark_inode_dirty_sync(inode);
-	} else {
-		if (!timespec_equal(&inode->i_atime, &now))
-			inode->i_atime = now;
 	}
 }
 
_
